/* File: Anthyphairesis.java
 * 
 * A program that uses Euclid's algorithm to find the
 * greatest common divisor of two numbers.
 */
import acm.program.*;

public class Anthyphairesis extends ConsoleProgram {
	public void run() {
		/* So you can see the math at work! */
		setFont("DejaVuSerif-BOLD-24");

		/* Read two values from the user. */
		int firstNum  = readInt("Enter first number: ");
		int secondNum = readInt("Enter second number: ");
		
		/* Run Euclid's algorithm. Repeatedly take the remainder of the
		 * first number divided by the second until the second number
		 * becomes zero.
		 */
		while (secondNum != 0) {
			int remainder = firstNum % secondNum;
			firstNum = secondNum;
			secondNum = remainder;
		}
		
		/* What remains is the GCD. */
		println("The GCD of those numbers is " + firstNum + ".");
	}
}
