/*
 * File: RocketLaunch.java
 * 
 * A program that displays the countdown timer from 
 * STS-134, but in good style!
 */

import acm.program.*;

public class BeautifulRocketLaunch extends ConsoleProgram {
	/* The time before launch that the countdown starts. */
	private static final int COUNTDOWN_START_TIME = 40;
	
	/* The time before launch where guidance is transfered to
	 * the Space Shuttle.
	 */
	private static final int HANDOFF_TIME = 31;
	
	/* The time before launch where the launch pad is
	 * prepared for launch.
	 */
	private static final int FIRING_CHAIN_ARM_TIME = 17;
	
	/* The time before launch where excess hydrogen below
	 * the shuttle is burned off before engines arm
	 */
	private static final int HYDROGEN_BURN_TIME = 10;
	
	/* Time to pause between ticks of the countdown. */
	private static final int PAUSE_TIME = 1000;

	public void run() {
		/* So all y'all in the back can see! */
		setFont("DejaVuSerif-BOLD-24");
		
		/* Do the launch countdown! */
		for (int i = COUNTDOWN_START_TIME; i > 0; i--) {
			println("T-" + i + " seconds.");

			/* Specific mission commands. */
			if (i == HANDOFF_TIME) {
				println("Handoff has occurred.");
			} else if (i == FIRING_CHAIN_ARM_TIME) {
				println("Firing chain is armed.");
			} else if (i == HYDROGEN_BURN_TIME) {
				println("Hydrogen burn.");
			}
			
			/* Slow things down a bit so we can see the countdown. */
			pause(PAUSE_TIME);
		}

		println("All engines running. Lift-off!");
	}
}
